package cn.freemud.service.impl;

import com.alibaba.fastjson.JSON;
import com.freemud.api.assortment.datamanager.entity.vo.AssortmentCustomerInfoVo;
import com.freemud.sdk.api.assortment.order.request.order.ClearTableRequest;
import com.freemud.sdk.api.assortment.order.service.OrderCenterSdkService;
import org.junit.Test;
import org.junit.Before; 
import org.junit.After;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.test.context.junit4.SpringRunner;

/** 
* OrderCommonService Tester. 
* 
* @author qin.zhou 
* @since <pre>���� 10, 2019</pre> 
* @version 1.0 
*/
@RunWith(SpringRunner.class)
@SpringBootTest
@EnableDiscoveryClient
@EnableFeignClients
@EnableAutoConfiguration
public class OrderCommonServiceTest {

    @Autowired
    private OrderCommonService orderCommonService;
    @Autowired
    private OrderCenterSdkService orderCenterSdkService;

@Before
public void before() throws Exception { 
} 

@After
public void after() throws Exception { 
} 

/** 
* 
* Method: createPrePaymentOrder(QueryOrdersResponse.DataBean.OrderBean orderBean, AssortmentCustomerInfoVo assortmentCustomerInfoVo, String partnerId, int cardAmount) 
* 
*/ 
@Test
public void testCreatePrePaymentOrder() throws Exception { 
//TODO: Test goes here... 
} 

/** 
* 
* Method: sendPaySuccessNoticeMessage() 
* 
*/ 
@Test
public void testSendPaySuccessNoticeMessage() throws Exception { 
//TODO: Test goes here... 
} 

/** 
* 
* Method: newSendPaySuccessNoticeMessage() 
* 
*/ 
@Test
public void testNewSendPaySuccessNoticeMessage() throws Exception { 
//TODO: Test goes here... 
} 

/** 
* 
* Method: newSendPayFaileMessage() 
* 
*/ 
@Test
public void testNewSendPayFaileMessage() throws Exception { 
//TODO: Test goes here... 
} 

/** 
* 
* Method: clearTableNumber(AssortmentCustomerInfoVo assortmentCustomerInfoVo) 
* 
*/ 
@Test
public void testClearTableNumber() throws Exception { 
//TODO: Test goes here...
    ClearTableRequest clearTableRequest = new ClearTableRequest();
    clearTableRequest.setPartnerId("1864");
    clearTableRequest.setStoreId("2700968");
    clearTableRequest.setTableNumber("2");
    clearTableRequest.setUserId("12323");
    orderCenterSdkService.clearTableNumber(clearTableRequest);

} 

/** 
* 
* Method: changeTableNumberStatus(AssortmentCustomerInfoVo assortmentCustomerInfoVo, Integer tableNumberStatus) 
* 
*/ 
@Test
public void testChangeTableNumberStatus() throws Exception { 
//TODO: Test goes here... 
} 


} 
